Đến nội dung


Hình ảnh

vấn đề về lệnh tắt trong cad


  • Please log in to reply
42 replies to this topic

#41 daituyenquang

daituyenquang

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 June 2016 - 12:05 PM

Mình có chia sẻ kinh nghiệm của bản thân về vấn đề lệnh tắt. Bản thân mình vào express vào mục commant editer để đổi lệnh theo ý của mình. Ở đây có toàn bộ lệnh của cad. Mình đi làm cũng sử dụng rất nhiều list nhưng việc sửa list về theo ý mình không phải ai cũng làm được. Các bạn nên đổi những lệnh tắt về các phím bên tay trái để tiện sử dụng.
  • 0

#42 daituyenquang

daituyenquang

    biết zoom

  • Members
  • Pip
  • 11 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 June 2016 - 12:08 PM

Mình có chia sẻ kinh nghiệm của bản thân về vấn đề lệnh tắt. Bản thân mình vào express vào mục commant editer để đổi lệnh theo ý của mình. Ở đây có toàn bộ lệnh của cad. Mình đi làm cũng sử dụng rất nhiều list nhưng việc sửa list về theo ý mình không phải ai cũng làm được. Các bạn nên đổi những lệnh tắt về các phím bên tay trái để tiện sử dụng.
  • 0

#43 huyenle

huyenle

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 13 June 2016 - 03:16 PM

Bạn ơi cho mình hỏi nếu muốn thay đổi kích thước khung của menu thì làm thế nào, cái này nó hơi bé

Bác Hà chưa release nó sau khi dùng lisp ^^

@toiyeuvietnam :
- Nếu không nhớ lệnh (hay như trong ví dụ của bạn là các hàm viết bằng lisp), tại sao bạn không tạo menu, hoặc tạo Toolbar bằng lệnh CUI của CAD ?
- Nếu không rành tạo menu thì tạo Tool Palette
- Nếu đã dùng lisp gọi bảng lệnh thì nên làm theo gợi ý của bác Duy, không nên tốn chỗ cho 1 file lisp + 1 file txt list lệnh, ngoài ra khi gọi sang chương trình khác sẽ làm gián đoạn quá trình làm việc của bạn, bất kể là word hay txt thì sau đó cũng phải back ngược lại về CAD và đánh lệnh
Mình viết cho bạn 1 cái hiển thị bảng lệnh - hoặc lisp. Sau khi chọn lệnh bạn có thể ấn nút OK để CAD thực hiện lệnh đó luôn.
Cách thêm lệnh bạn xem trong code mình ghi chú rồi đó. Sau khi thêm các lệnh sẽ được sắp xếp theo thứ tự abc.
Bạn có thể đánh dòng ghi chú bằng tiếng việt không dấu, hoặc tiếng việt có dấu dạng TCVN3, hoặc Unicode Hexa (tìm tool convert trong các bài tiếng việt trong Lisp), tuyệt đối không đánh trực tiếp font Unicode

 

 

 

 

Ghichulenh.jpg



(defun c:lc(/ LM:ListBox str lstData ST:SendKeys)

(setq lstData

    (acad_strlsort (list

;Viet tiep cac lenh vao duoi dong nay theo mau "Ten lenh Noi dung"

    "Erase Xoa doi tuong"

    "Copy Sao chep doi tuong"

    "Mirror Lay doi xung"

    "CO Copy th\U+00F4ng minh"    

    ))

)

(defun ST:SendKeys (keys / ws)

  (vlax-invoke-method (setq ws (vlax-create-object "WScript.Shell"))  'sendkeys keys)

  (vlax-release-object ws)

  (princ)

)

(defun LM:ListBox ( title data multiple / file tmp dch return )

  (cond

	(

  	(not

    	(and (setq file (open (setq tmp (vl-filename-mktemp nil nil ".dcl")) "w"))

      	(write-line

        	(strcat "listbox : dialog { label = \"" title

          	"\"; spacer; : list_box { key = \"list\"; multiple_select = "

          	(if multiple "true" "false") "; } spacer; ok_cancel;}"

        	)

        	file

      	)

      	(not (close file)) (< 0 (setq dch (load_dialog tmp))) (new_dialog "listbox" dch)

    	)

  	)

	)

	(

  	t    

  	(start_list "list")

  	(mapcar 'add_list data) (end_list)

 

  	(setq return (set_tile "list" "0"))

  	(action_tile "list" "(setq return $value)")

 

  	(setq return

    	(if (= 1 (start_dialog))

      	(mapcar '(lambda ( x ) (nth x data)) (read (strcat "(" return ")")))

    	)

  	)          

	)

  )

  (if (< 0 dch) (unload_dialog dch))

  (if (setq tmp (findfile tmp)) (vl-file-delete tmp))

  return

)

(cond (

        (setq str (LM:ListBox "Ghi ch\U+00FA l\U+1EC7nh - lisp CAD - @ketxu - 2/6/2012 :" lstData nil))

        (setq str (car str))

        (ST:SendKeys (strcat (substr str 1 (vl-string-position 32 str)) "\n"))

        )

)

(princ)

)

 

 

 


  • 0